## ClutterActorMeta ClutterActorMeta — Base class of actor modifiers |

## Functions

void | clutter_actor_meta_set_name ()
const gchar * | clutter_actor_meta_get_name ()
void | clutter_actor_meta_set_enabled ()
gboolean | clutter_actor_meta_get_enabled ()
ClutterActor * | clutter_actor_meta_get_actor ()

## Properties

ClutterActor * | actor | Read
gboolean | enabled | Read / Write
gchar * | name | Read / Write

## Types and Values

| ClutterActorMeta
struct | ClutterActorMetaClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActorMeta
                ├── ClutterAction
                ├── ClutterConstraint
                ╰── ClutterEffect

## Description

ClutterActorMeta is an abstract class providing a common API for modifiers of ClutterActor behaviour, appearance or layout.

A ClutterActorMeta can only be owned by a single ClutterActor at any time.

Every sub-class of ClutterActorMeta should check if the “enabled” property is set to `TRUE` before applying any kind of modification.

ClutterActorMeta is available since Clutter 1.4

## Functions

### clutter_actor_meta_set_name ()

    void
    clutter_actor_meta_set_name (ClutterActorMeta *meta,
                                 const gchar *name);

Sets the name of `meta`

The name can be used to identify the ClutterActorMeta instance

#### Parameters

meta | a ClutterActorMeta |
name | the name of `meta` |

Since 1.4

### clutter_actor_meta_get_name ()

    const gchar *
    clutter_actor_meta_get_name (ClutterActorMeta *meta);

Retrieves the name set using `clutter_actor_meta_set_name()`

#### Parameters

meta | a ClutterActorMeta |

#### Returns

the name of the ClutterActorMeta instance, or `NULL` if none was set. The returned string is owned by the ClutterActorMeta instance and it should not be modified or freed.

[transfer none]

Since 1.4

### clutter_actor_meta_set_enabled ()

    void
    clutter_actor_meta_set_enabled (ClutterActorMeta *meta,
                                    gboolean is_enabled);

Sets whether `meta` should be enabled or not

#### Parameters

meta | a ClutterActorMeta |
is_enabled | whether `meta` is enabled |

Since 1.4

### clutter_actor_meta_get_enabled ()

    gboolean
    clutter_actor_meta_get_enabled (ClutterActorMeta *meta);

Retrieves whether `meta` is enabled

#### Parameters

meta | a ClutterActorMeta |

#### Returns

`TRUE` if the ClutterActorMeta instance is enabled

Since 1.4

### clutter_actor_meta_get_actor ()

    ClutterActor *
    clutter_actor_meta_get_actor (ClutterActorMeta *meta);

Retrieves a pointer to the ClutterActor that owns `meta`

#### Parameters

meta | a ClutterActorMeta |

#### Returns

a pointer to a ClutterActor or `NULL`.

[transfer none]

Since 1.4

## Types and Values

### ClutterActorMeta

    typedef struct _ClutterActorMeta ClutterActorMeta;

The ClutterActorMeta structure contains only private data and should be accessed using the provided API

Since 1.4

### struct ClutterActorMetaClass

    struct ClutterActorMetaClass {
      /**
       * ClutterActorMetaClass::set_actor:
       * @meta: a #ClutterActorMeta
       * @actor: (allow-none): the actor attached to @meta, or %NULL
       *
       * Virtual function, called when @meta is attached or detached
       * from a #ClutterActor.
       */
      void (* set_actor) (ClutterActorMeta *meta,
                          ClutterActor     *actor);
    };

The ClutterActorMetaClass structure contains only private data

#### Members

`set_actor` () | virtual function, invoked when attaching and detaching a ClutterActorMeta instance to a ClutterActor |

Since 1.4

## Property Details

### The `“actor”` property

      “actor”                    ClutterActor *

The ClutterActor attached to the ClutterActorMeta instance

Flags: Read

Since 1.4

### The `“enabled”` property

      “enabled”                  gboolean

Whether or not the ClutterActorMeta is enabled

Flags: Read / Write

Default value: TRUE

Since 1.4

### The `“name”` property

      “name”                     gchar *

The unique name to access the ClutterActorMeta

Flags: Read / Write

Default value: NULL

Since 1.4

## See Also

ClutterAction, ClutterConstraint